Aria: ArMapSupplement Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArMapSupplement Class Reference

`#include <ArMapComponents.h>`

Inheritance diagram for ArMapSupplement:

List of all members.

## Detailed Description

Supplemental data associated with an Aria map.

ArMapSupplement is a repository for extra, miscellaneous data that is associated with an Aria map but which does not fit neatly into any of the other components.

## Public Member Functions
virtual bool | addToFileParser (ArFileParser *fileParser)
| Adds handlers for all of the supplement keywords to the given file parser.
| ArMapSupplement (const ArMapSupplement &other)
| Copy constructor.
| ArMapSupplement ()
| Constructor.
virtual void | clear ()
| Resets the map supplement to its default values.
virtual double | getOriginAltitude ()
virtual ArPose | getOriginLatLong ()
virtual ArTime | getTimeChanged () const
| Returns the time at which the supplement data were last changed.
virtual bool | hasOriginLatLongAlt ()
ArMapSupplement & | operator= (const ArMapSupplement &other)
| Assignment operator.
virtual bool | remFromFileParser (ArFileParser *fileParser)
| Removes handlers for all of the supplement keywords from the given file parser.
virtual void | setOriginLatLongAlt (bool hasOriginLatLong, const ArPose &originLatLong, double altitude, ArMapChangeDetails *changeDetails=NULL)
virtual void | writeSupplementToFunctor (ArFunctor1< const char * > *functor, const char *endOfLineChars)
virtual | ~ArMapSupplement ()
| Destructor.
## Protected Member Functions
bool | handleOriginLatLongAlt (ArArgumentBuilder *arg)
## Protected Attributes
bool | myHasOriginLatLongAlt
| Whether the supplement data contains latitude/longitude information for the origin.
double | myOriginAltitude
| The altitude (in m) of the origin; only if myHasOriginLatLongAlt is true.
ArPose | myOriginLatLong
| The latitude/longitude of the origin; only if myHasOriginLatLongAlt is true.
ArRetFunctor1C< bool, ArMapSupplement, ArArgumentBuilder * > | myOriginLatLongAltCB
| Callback that parses the origin latitude/longitude/altitude information.
ArTime | myTimeChanged
| Time at which the supplement was last changed.

The documentation for this class was generated from the following file:

- ArMapComponents.h